be.fgov.ehealth.etee.crypto.cert

## Enum CertificateStatus

- java.lang.Object
- - java.lang.Enum<CertificateStatus>
  - - be.fgov.ehealth.etee.crypto.cert.CertificateStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CertificateStatus>

      public enum CertificateStatus
      extends java.lang.Enum<CertificateStatus>

  Possible statuses of a certificate.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXPIRED` Certificate validity period expired.
    `HOLD` Certificate put on hold by issuer.
    `REVOKED` Certificate revoked by issuer.
    `UNSPECIFIED` Certificate valid.
    `VALID` Certificate valid.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CertificateStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CertificateStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALID

          public static final CertificateStatus VALID

      Certificate valid.

    - #### UNSPECIFIED

          public static final CertificateStatus UNSPECIFIED

      Certificate valid.

    - #### EXPIRED

          public static final CertificateStatus EXPIRED

      Certificate validity period expired.

    - #### REVOKED

          public static final CertificateStatus REVOKED

      Certificate revoked by issuer.

    - #### HOLD

          public static final CertificateStatus HOLD

      Certificate put on hold by issuer.

  - ### Method Detail

    - #### values

          public static CertificateStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CertificateStatus c : CertificateStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CertificateStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 eHealth. All rights reserved.